<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:f="http://java.sun.com/jsf/core"
	template="/templates/template.xhtml">
	<ui:define name="content">
    <h:form >
    	<p:outputLabel value="Usuario "/>
        <p:panelGrid columns="3" id="panelUsuario" >
            
            <p:outputLabel for="id" value="Id : " />
            <p:inputText id="id" value="#{usuarioMB.instance.id}" disabled="true">
                <f:converter converterId="javax.faces.Integer"/>
            </p:inputText>
            <h:panelGroup/>
            
            <p:outputLabel for="nombre" value="Nombre : "  />
            <p:inputText id="nombre" value="#{usuarioMB.instance.userName}" 
            	autocomplete="off" label="Nombre" required="true" disabled="true"/>
            <p:message for="nombre" display="icon"/>
            
            <p:outputLabel for="pwd" value="Contraseña" />
           	<p:password id="pwd" feedback="false" value="#{usuarioMB.instance.password}" label="Contraseña" required="true"
           		autocomplete="off"></p:password>
            <p:message for="pwd"></p:message>
            
            <p:outputLabel for="roles" value="Rol Asignado: " />
	        <p:selectOneMenu id="roles" value="#{usuarioMB.instance.rol}" required="true" label="Rol Admitido" converter="roleConverter"
	        		disabled="true">
	            <f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />
	            <f:selectItems value="#{usuarioMB.roles}"  var="varRol"
                          itemValue="#{varRol}"
                          itemLabel="#{varRol.nombre}"/>
	            <p:ajax listener="#{usuarioMB.actualizarDatos}"  update="iiZonal"/>
	        </p:selectOneMenu>
	        <p:message for="roles" display="icon"/>
	        
            <p:outputLabel for="iiZonal" value="Equipo Territorial Provincial :"/>
       		<p:selectOneMenu id="iiZonal" value="#{usuarioMB.instance.zonal}" converter="zonalConverter"
       				disabled="true">
           		<f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />
           		<f:selectItems value="#{usuarioMB.zonales}" var="zonal"
                          itemValue="#{zonal}"
                          itemLabel="#{zonal.nombre}"/>
                <p:ajax listener="#{usuarioMB.onZonalChange}" update="iiLocal" />
       		</p:selectOneMenu>
       		<p:message  for="iiZonal" display="icon"/>
	            
           	<p:outputLabel for="iiLocal" value="Local :"/>
      		<p:selectOneMenu id="iiLocal" value="#{usuarioMB.instance.local}" converter="localConverter"
      				disabled="true" 
      				>
          		<f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />
          		<f:selectItems value="#{usuarioMB.locales}" var="local"
                         itemValue="#{local}"
                         itemLabel="#{local.nombre}"/>
      		</p:selectOneMenu>
      		<p:message  for="iiLocal" display="icon"/>
	        
            
        </p:panelGrid>
        <p:commandButton id="addUusuario" value="Guardar" action="#{usuarioMB.cambiarContrasenia}" ajax="false"/>
    	<input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}"/>
    </h:form>
	</ui:define>
</ui:composition>